org.eclipse.compare

## Interface IEditableContentExtension

All Known Implementing Classes:
  DocumentRangeNode, ResourceNode, StructureRootNode

    public interface IEditableContentExtension

Extends the `IEditableContent` interface to support validate edit. Clients should only use this interface if they obtained the content from an `IStreamContentAccessor`. If content was obtained through an `ISharedDocumentAdapter` then validation should be performed through the `IDocumentProviderExtension` interface.

Since:
  3.3
See Also:
  `IWorkspace.validateEdit(org.eclipse.core.resources.IFile[], Object)`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isReadOnly()` Return whether the typed element being displayed is read-only. a read-only element will require a call to validateEdit before the element can be modified on disk.
`IStatus` `validateEdit(Shell shell)` If the element is read-only, this method should be called to attempt to make it writable.

### Method Detail

#### isReadOnly

    boolean isReadOnly()

Return whether the typed element being displayed is read-only. a read-only element will require a call to validateEdit before the element can be modified on disk.

Returns:
  whether the typed element is read-only

#### validateEdit

    IStatus validateEdit(Shell shell)

If the element is read-only, this method should be called to attempt to make it writable.

Parameters:
  `shell` - a shell used to prompt the user if required.
Returns:
  a status object that is `OK` if things are fine, otherwise a status describing reasons why modifying the given files is not reasonable. A status with a severity of `CANCEL` is returned if the validation was canceled, indicating the edit should not proceed.